#ifndef EPOS_PROTOCOL
#define EPOS_PROTOCOL

#define BUFFER_SIZE             10
#define MAX_DATA_FIELDS         4
#define SEPARATION_STRING       "\027"
#define AFFIRM_LOGIN            "affirm user login"
#define DENY_LOGIN              "deny user login"
#define AFFIRM_LOGOUT           "affirm user logout"
#define DENY_LOGOUT             "deny user logout"
#define AFFIRM_REGISTER         "affirm user register"
#define DENY_REGISTER           "deny user register"
#define SRV_MSG_ERROR           "server message error"

typedef enum command_int {
    
    UNKNOWN = -1,
    
    REGISTER = 0,
    CHPASSWD,
    LOGIN,
    LOGOUT,
    SRV_MSG,
    SRV_RPLY,

    __N_COMMANDS

} command_int;

char *command_i2s(command_int cmnd);
command_int command_s2i(char *cmnd);

#endif /* EPOS_PROTOCOL */
